<?php
/**
 *
* @package phpBB Extension - Forum Goal
 * @copyright (c) 2016 Stoker
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace stoker\forumgoal\migrations;

class forumgoal_v109 extends \phpbb\db\migration\migration
{
	public function update_data()
	{
		return array(
			array('config.add', array('forum_goals_donation_enable', 0)),
			array('config.add', array('forum_goals_donation_total', 0)),
			array('config.add', array('forum_goals_donation_goal', 0)),
			array('config.add', array('forum_goals_donation_cur', 0)),
		);
	}
	
	public function revert_data()
	{
		return array(
			array('config.remove', array('forum_goals_donation_enable')),
			array('config.remove', array('forum_goals_donation_total')),
			array('config.remove', array('forum_goals_donation_goal')),
			array('config.remove', array('forum_goals_donation_cur')),
		);
	}
}
