<?php
/**
 *
* @package phpBB Extension - Forum Goal
 * @copyright (c) 2016 Stoker
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace stoker\forumgoal\migrations;

class forumgoal_v108 extends \phpbb\db\migration\migration
{
	public function update_data()
	{
		return array(
			array('config.add', array('forumgoal_enable', 0)),
			array('config.add', array('forum_goals_display', 0)),
			array('config.add', array('forum_goals_posts_enable', 0)),
			array('config.add', array('forum_goals_posts', 0)),
			array('config.add', array('forum_goals_topics_enable', 0)),
			array('config.add', array('forum_goals_topics', 0)),
			array('config.add', array('forum_goals_users_enable', 0)),
			array('config.add', array('forum_goals_users', 0)),
			array('config.add', array('forum_goals_files_enable', 0)),
			array('config.add', array('forum_goals_files', 0)),
			array('config.add', array('forum_goals_views_enable', 0)),
			array('config.add', array('forum_goals_views', 0)),
		);
	}
	
	public function revert_data()
	{
		return array(
			array('config.remove', array('forumgoal_enable')),
			array('config.remove', array('forum_goals_display')),
			array('config.remove', array('forum_goals_posts_enable')),
			array('config.remove', array('forum_goals_posts')),
			array('config.remove', array('forum_goals_topics_enable')),
			array('config.remove', array('forum_goals_topics')),
			array('config.remove', array('forum_goals_users_enable')),
			array('config.remove', array('forum_goals_users')),
			array('config.remove', array('forum_goals_files_enable')),
			array('config.remove', array('forum_goals_files')),
			array('config.remove', array('forum_goals_views_enable')),
			array('config.remove', array('forum_goals_views')),
		);
	}
}
