<?php
/**
 *
* @package phpBB Extension - Forum Goal
 * @copyright (c) 2016 Stoker
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace stoker\forumgoal\migrations;

class forumgoal_v110 extends \phpbb\db\migration\migration
{
	public function update_data()
	{
		return array(
			array('config.add', array('forum_goals_downloads_enable', 0)),
			array('config.add', array('forum_goals_downloads', 0)),
			array('config.add', array('forumgoal_enable_all', 0)),
			array('config.add', array('forumgoal_version', '1.1.0')),
		);
	}
	
	public function revert_data()
	{
		return array(
			array('config.remove', array('forum_goals_downloads_enable')),
			array('config.remove', array('forum_goals_downloads')),
			array('config.remove', array('forumgoal_enable_all')),
			array('config.remove', array('forumgoal_version')),
		);
	}
}